### Class

# Handy StyleManager

since: 1.6

#### Description [src]

    final class Handy.StyleManager : GObject.Object
    {
      /* No available fields */
    }

A class for managing application-wide styling.

`HdyStyleManager` provides a way to query and influence the application styles, such as whether to use dark or high contrast appearance.

It allows to set the color scheme via the `HdyStyleManager:color-scheme` property, and to query the current appearance, as well as whether a system-wide color scheme preference exists.

Important: `GtkSettings:gtk-application-prefer-dark-theme` should not be used together with `HdyStyleManager` and will result in a warning. Color schemes should be used instead.

Available since: 1.6

#### Ancestors

- GObject

#### Functions

###### hdy_style_manager_get_default

Gets the default `HdyStyleManager` instance.

since: 1.6

###### hdy_style_manager_get_for_display

Gets the `HdyStyleManager` instance managing `display`.

since: 1.6

#### Instance methods

###### hdy_style_manager_get_color_scheme

Gets the requested application color scheme.

since: 1.6

###### hdy_style_manager_get_dark

Gets whether the application is using dark appearance.

since: 1.6

###### hdy_style_manager_get_display

Gets the display the style manager is associated with.

since: 1.6

###### hdy_style_manager_get_high_contrast

Gets whether the application is using high contrast appearance.

since: 1.6

###### hdy_style_manager_get_system_supports_color_schemes

Gets whether the system supports color schemes.

since: 1.6

###### hdy_style_manager_set_color_scheme

Sets the requested application color scheme.

since: 1.6

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Handy.StyleManager:color-scheme

The requested application color scheme.

since: 1.6

###### Handy.StyleManager:dark

Whether the application is using dark appearance.

since: 1.6

###### Handy.StyleManager:display

The display the style manager is associated with.

since: 1.6

###### Handy.StyleManager:high-contrast

Whether the application is using high contrast appearance.

since: 1.6

###### Handy.StyleManager:system-supports-color-schemes

Whether the system supports color schemes.

since: 1.6

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct HandyStyleManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.